// Nur für zylindrische Gefäße


// Durchmesser Topf [cm]
durchmesser = 28;

// Volumen Topf [l]
gesamt = 15;

// Breite eines großen Striches [mm] (kleine Striche sind halb so groß)
breite = 20;

// Dicke eines Striches [mm] (genaues Litermaß ist in der Mitte des Striches)
dicke = 2;

// Große Striche alle x Liter
gross = 5;

// Beschriftung alle x Liter (Empfehlung: =gross oder Vielfaches von gross)
beschriftet = 5;

// Strich bei Null setzen (1=ja, 0=nein)
nullstrich = 1;


// Ab hier nichts mehr anpassen


abstand = 10000 / 3.1415927 / pow(durchmesser/2, 2);
echo ("***");
echo (str ("Abstand Literstriche: ", abstand, " mm"));
echo ("***");

translate([0,breite]) 
rotate(270)

for (l = [1-nullstrich:1:gesamt]) {

    translate([1-nullstrich, l*abstand - dicke/2]) {
        w = (l % gross == 0) ? breite : breite/2;
        square([w, dicke]);
    }
    
    if (l % beschriftet == 0) {
        hoffset = l < 10 ? 5.5 : 1.5;
        voffset = 2;
        translate([breite/2 + hoffset, l*abstand + voffset]) 
            text(str(l), 8, "Ombudsman Alternate");
    }
}